# Created by pyp2rpm-3.3.2
%global pypi_name parameterized

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 3
Summary:        Parameterized testing with any Python test framework
Group:          Development/Python
License:        BSD
URL:            https://github.com/wolever/parameterized
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Parameterized testing with any Python test framework Parameterized testing in
Python sucks.parameterized fixes that. For everything. Parameterized testing
for nose, parameterized testing for py.test, parameterized testing for
unittest... code:: python test_math.py from nose.tools import assert_equal from
parameterized import parameterized, parameterized_class import unittest import
math...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Parameterized testing with any Python test framework Parameterized testing in
Python sucks.parameterized fixes that. For everything. Parameterized testing
for nose, parameterized testing for py.test, parameterized testing for
unittest... code:: python test_math.py from nose.tools import assert_equal from
parameterized import parameterized, parameterized_class import unittest import
math...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1535537
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.7.0-2.mga8
+ Revision: 1452102
- rebuild with python 3.8

* Wed Aug 07 2019 kekepower <kekepower> 0.7.0-1.mga8
+ Revision: 1427892
- imported package python-parameterized

